<?php

use EventPortal\Domain\Event\Form\Models\Form;
use EventPortal\Domain\Event\Form\Models\FormStep;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(FormStep::class, static function (Faker $faker): array {
    static $count = 0;
    return [
        'name' => $faker->sentence(3),
        'order' => $count = $count + 1,
        'form_id' => static function (): int {
            return factory(Form::class)->create()->id;
        },
        'uuid' => $faker->uuid,
    ];
});

$factory->state(FormStep::class, 'snapshot', static function (): array {
    return [
        'name' => 'Test Step',
        'order' => 1,
        'form_id' => static function (): int {
            return factory(Form::class)->state('snapshot')->create()->id;
        },
        'uuid' => 'Test uuid',
    ];
});
