<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSessionsTable extends Migration
{
    public function up(): void
    {
        Schema::create('sessions', function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('pathway_id')->nullable();
            $table->unsignedInteger('agenda_id')->nullable();
            $table->unsignedInteger('event_venue_id')->nullable();
            $table->string('name')->nullable();
            $table->string('description')->nullable();
            $table->timestamp('starting_at')->nullable();
            $table->timestamp('ending_at')->nullable();
            $table->string('location')->nullable();
            $table->timestamps();

            $table->index('pathway_id');
            $table->index('agenda_id');
            $table->index('event_venue_id');
        });
    }
}
